Upstream information

CVE-2017-14461 at MITRE

Description

A specially crafted email delivered over SMTP and passed on to Dovecot by MTA can trigger an out of bounds read resulting in potential sensitive information disclosure and denial of service. In order to trigger this vulnerability, an attacker needs to send a specially crafted email message to the server.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:N/AC:L/Au:S/C:P/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entry: 1082826 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • dovecot23 >= 2.3.1-2.20
  • dovecot23-backend-mysql >= 2.3.1-2.20
  • dovecot23-backend-pgsql >= 2.3.1-2.20
  • dovecot23-backend-sqlite >= 2.3.1-2.20
  • dovecot23-devel >= 2.3.1-2.20
  • dovecot23-fts >= 2.3.1-2.20
  • dovecot23-fts-lucene >= 2.3.1-2.20
  • dovecot23-fts-solr >= 2.3.1-2.20
  • dovecot23-fts-squat >= 2.3.1-2.20
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA dovecot23
SUSE Linux Enterprise Server 12 SP3
  • dovecot22 >= 2.2.31-19.8.1
  • dovecot22-backend-mysql >= 2.2.31-19.8.1
  • dovecot22-backend-pgsql >= 2.2.31-19.8.1
  • dovecot22-backend-sqlite >= 2.2.31-19.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-773
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • dovecot22 >= 2.2.31-19.8.1
  • dovecot22-backend-mysql >= 2.2.31-19.8.1
  • dovecot22-backend-pgsql >= 2.2.31-19.8.1
  • dovecot22-backend-sqlite >= 2.2.31-19.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-773
SUSE Linux Enterprise Software Development Kit 12 SP3
  • dovecot22 >= 2.2.31-19.8.1
  • dovecot22-devel >= 2.2.31-19.8.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-773
openSUSE Leap 42.3
  • dovecot22 >= 2.2.31-2.6.1
  • dovecot22-backend-mysql >= 2.2.31-2.6.1
  • dovecot22-backend-mysql-debuginfo >= 2.2.31-2.6.1
  • dovecot22-backend-pgsql >= 2.2.31-2.6.1
  • dovecot22-backend-pgsql-debuginfo >= 2.2.31-2.6.1
  • dovecot22-backend-sqlite >= 2.2.31-2.6.1
  • dovecot22-backend-sqlite-debuginfo >= 2.2.31-2.6.1
  • dovecot22-debuginfo >= 2.2.31-2.6.1
  • dovecot22-debugsource >= 2.2.31-2.6.1
  • dovecot22-devel >= 2.2.31-2.6.1
  • dovecot22-fts >= 2.2.31-2.6.1
  • dovecot22-fts-debuginfo >= 2.2.31-2.6.1
  • dovecot22-fts-lucene >= 2.2.31-2.6.1
  • dovecot22-fts-lucene-debuginfo >= 2.2.31-2.6.1
  • dovecot22-fts-solr >= 2.2.31-2.6.1
  • dovecot22-fts-solr-debuginfo >= 2.2.31-2.6.1
  • dovecot22-fts-squat >= 2.2.31-2.6.1
  • dovecot22-fts-squat-debuginfo >= 2.2.31-2.6.1
Patchnames:
openSUSE-2018-414


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 12 SP2 dovecot22 Affected
SUSE Linux Enterprise SDK 12 SP3 dovecot22 Released
SUSE Linux Enterprise Server 12 GA LTSS dovecot22 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS dovecot22 Affected
SUSE Linux Enterprise Server 12 SP2 dovecot22 Affected
SUSE Linux Enterprise Server 12 SP3 dovecot22 Released